<v-dialog max-width="648" persistent v-model="display">
    <v-card>
        <v-container dense>
            <!--
            <v-row justify="center">
                <v-col cols="auto">
                    <span class="overline">Make The Order</span>
                    <v-spacer></v-spacer>
                </v-col>
            </v-row>
            -->

            <v-card-title class="headline mb-1" primary-title>We ready to make the order</v-card-title>
            <v-card-subtitle>Please fill your phone and address</v-card-subtitle>

            <v-form ref="form" v-model="valid" lazy-validation>
                    <v-card-text>
                        <v-text-field outlined prepend-inner-icon="mdi-phone" label="phone" prefix="+7" placeholder="(000) 000-00-00" v-model="phone" :rules="[rules.phoneNumber]" required />
                        <v-text-field outlined prepend-inner-icon="mdi-map-marker" label="address" v-model="address" :rules="[rules.nonempty]" required />
                        <v-textarea placeholder="Your comment" no-resize clearable outlined label="message" v-model="message" />
                    </v-card-text>
            </v-form>

            <v-row>
                <v-col cols="auto" class="ml-auto ma-3">
                    <h3 class="headline blue--text text--darken-4">
                        {{ price }}$
                    </h3>
                </v-col>
            </v-row>

            <v-row>
                <v-col cols="12">
                    <v-divider />
                </v-col>
            </v-row>

            <v-row dense>
                <v-col class="pa-0">
                    <v-card-actions>
                        <v-spacer></v-spacer>
                        <v-btn :disabled="disabled" color="green darken-1" text @click.stop="buyBasket">
                            <v-icon small>mdi-cart-outline</v-icon>
                            Order
                        </v-btn>
                        <v-btn color="red lighten-1" text @click.stop="closeBasket">
                            <v-icon small>mdi-close</v-icon>
                            Close
                        </v-btn>
                    </v-card-actions>
                </v-col>
            </v-row>
        </v-container>
    </v-card>
</v-dialog>
